SystemOrganization addCategory: #'Equipement-TIT'!

TestCase subclass: #AnalogInputTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: ''!
test15000ResultShouldBe15000
	| power |
	power := AnalogInput new.
	power pointValue: 15000.
	self assert: 15000 = power pointValue! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: ''!
testDefautResultShouldBe0
	| power |
	power := AnalogInput new.
	power label: 'QPW1'.
	self assert: 0 = power pointValue! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: ''!
testMaximumResultShouldBe32767
	| power |
	power := AnalogInput new.
	power pointValue: 40000.
	self assert: 32767 = power pointValue! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: ''!
testNegatifResultShouldBe15000
	| power |
	power := AnalogInput new.
	power pointValue: -1.
	self assert: 0 = power pointValue! !

Object subclass: #AnalogInput
	instanceVariableNames: 'val'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

AnalogInput class
	instanceVariableNames: 'val aSmallInteger'!

AnalogInput class
	instanceVariableNames: 'val aSmallInteger'!

!AnalogInput methodsFor: 'accessing' stamp: ''!
label: aByteString 
	^ self! !

!AnalogInput methodsFor: 'accessing' stamp: ''!
pointValue
	^ 32767
		min: (0
				max: (val
						ifNil: [0]))! !

!AnalogInput methodsFor: 'accessing' stamp: ''!
pointValue: aSmallInteger 
	val := aSmallInteger! !
